import 'package:syncrow_web/pages/routiens/models/device_functions.dart';
import 'package:syncrow_web/pages/routiens/models/gang_switches/switch_operational_value.dart';

abstract class BaseSwitchFunction extends DeviceFunction<bool> {
  BaseSwitchFunction({
    required super.deviceId,
    required super.deviceName,
    required super.code,
    required super.operationName,
    required super.icon,
  });

  @override
  bool execute(bool currentStatus, dynamic newValue);

  List<SwitchOperationalValue> getOperationalValues();
}
